cbuffer ConstantBufferData
{
	float4x4 matrixWorld;
	float4x4 matrixView;
	float4x4 matrixProjection;
}

struct v2f
{
	float4 position : SV_POSITION;
	float4 color : COLOR0;
};

v2f main( float4 pos : POSITION, float4 color : COLOR )
{
	v2f o;

	float4 worldPos = mul(matrixWorld, pos);
	float4x4 matVP = mul(matrixProjection, matrixView);

	o.position = mul(matVP, worldPos);
	o.color = color;

	return o;
}